%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
% Just for testing
% Calculates and displays choices in a pair of Allais situations
%
%
%


clear;

% Parameters
param.rho   = 2.8;
param.x     = 40.228;
param.gamma = 340130;                  %  6.0011 * 10^5;               %83.297;
param.GAMMA = 6574.4;                           %4804.1;

param.delta = 1 - 0.01/365;
% param.delta = 1.01 .^ (-1/365);

% Gambles
param
define_original_allais;

'Scenario 1'
[choice C gamma1 mu1] = decision(param,L1);
L1
choice
mu1
C

'Consumption with given mu'
gamma1 = [110.338 ; 83.919].^param.rho-1;
get_C(gamma1,param,L2)

'Scenario 2'
[choice C gamma1 mu1] = decision(param,L2);
L2
choice
mu1
C

'Consumption with given mu'
gamma1 = [131.072;94.609 ].^param.rho-1;
get_C(gamma1,param,L2)